# MagicPlugin

Adds a configuration for staves to make it fire in a straight line instead of an arc and boost it speed of impact. Adds a new staff that you can craft early game and uses stamina instead of eitr and can also use to demolish some trees.

## Installation (manual)

copy `plugins` folder to your `BepInEx` folder.

## Features

- Configurable velocity to improve the speed of impact and fires in a straight line instead of an arc.
- Uses ServerSync to sync configs from server to clients.
- Configurable exp multipliers for elemental magic and blood magic.
- Uses built in config watcher.
- Adds a new Staff called Surtling Staff that you can craft early game using SurtlingCore, Copper, Corewood, and Coal.
- Configurable through config file or [configuration manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

** Surtling Staff
- Ingredients: (1x SurtlingCore, 10x Corewood, 2x Copper, 4x Coal)
- Upgrade Ingredients: (1x SurtlingCore, 2x Coal, 1x Copper)
- Can be used early game to kill and hunt monsters.
- Uses stamina instead of eitr.
- Can be used to demolish a whole forest.
- The tool tier of the staff is determined by its quality level.
- Level 1 for Beech Trees, Level 2 for Birch Trees and so on. 
- Configurable Base Tree Damage which is scaled by your woodcutting skill level for more damage to trees.
- AOE is then scaled by your elemental magic skill level.
- The higher your elemental magic skill level the wider the AOE.
- You can get a small fraction of exp for woodcutting skill when hitting trees with the staff.
- And you can get elemental exp for killing monsters or wild animals.

## Changelog

v1.0.0<br/> 
- first release<br/>

